Known Incompatible Cordova Plugins

While we've tested a number of popular Cordova plugins, it's possible Capacitor doesn't support every Cordova plugin. Some don't work with Capacitor or Capacitor provides a conflicting alternative. If it's known that the plugin is conflicting or causes build issues, it will be skipped when running npx cap update.

If you find an issue with an existing Cordova plugin, please let us know by providing the issue's details and plugin information.

Known incompatible plugins (Subject to change)

  • cordova-plugin-add-swift-support (not needed, Capacitor has built in Swift support)
  • cordova-plugin-admobpro (see details)
  • cordova-plugin-braintree (see details)
  • cordova-plugin-compat (not needed)
  • cordova-plugin-console (not needed, Capacitor has its own)
  • cordova-plugin-crosswalk-webview (Capacitor doesn't allow to change the webview)
  • cordova-plugin-fcm (see details)
  • cordova-plugin-firebase (see details)
  • cordova-plugin-ionic-keyboard (not needed, Capacitor has it's own)
  • cordova-plugin-ionic-webview (not needed, Capacitor uses WKWebView)
  • cordova-plugin-music-controls (causes build failures, skipped)
  • cordova-plugin-qrscanner (see details)
  • cordova-plugin-splashscreen (not needed, Capacitor has its own)
  • cordova-plugin-statusbar (not needed, Capacitor has its own)
  • cordova-plugin-wkwebview-engine (not needed, Capacitor uses WKWebView)

Contributors

Back Next